<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_giftcode_month.php');
include('config/config_sms.php');

if (isset($_POST['action']))
{
	$action = $_POST['action'];

	if ($action == 'giftcode_month')
	{
		$pass2 = $_POST['pass2'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu cấp 2";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/sms_web.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'KeyXuLy'    =>  'GIFTCODE_MONTH',
                'pass2'    =>  $pass2,
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if($info[1] == 'OK') {
					$notice = "<font color='black'>Vui lòng dùng SĐT của tài khoản nhắn tin với cú pháp bên dưới để hoàn tất</font><br>
						<font color='red'><b>$madv&nbsp;&nbsp;&nbsp;$cuphap&nbsp;&nbsp;&nbsp;$info[2]</b></font>&nbsp;&nbsp;&nbsp;gửi&nbsp;&nbsp;&nbsp;<font color='blue'><b>$tdsms</b></font> <font color='gray'><i>(Phí nhắn tin : $giavnd VNĐ)</i></font><br>
						<font color='black'>Thời gian chờ tin nhắn chứng thực : 5 phút (sau 5 phút, yêu cầu sẽ bị hủy bỏ)</font>";
				}
				else $error = $reponse;
			}
		}
	}
}

if($giftcode_month_use == 'none'){
	echo "Chức năng GiftCode Reset tuần không sử dụng"; exit();
}

$file_giftcode = 'config/giftcode_random.txt';

//Đọc File GiftCode
$giftcode_arr = array();
if(is_file($file_giftcode)) {
	$fopen_host = fopen($file_giftcode, "r");
	$giftcode_read = fgets($fopen_host);
	
	$giftcode_arr = json_decode($giftcode_read, true);
	fclose($fopen_host);
	if(!is_array($giftcode_arr)) $giftcode_arr = array();
}

$gift_name = $giftcode_arr[$giftcode_month_use]['name'];
$item_read = $giftcode_arr[$giftcode_month_use]['gift'];

$accept = 1;

$hour_now = date('H', time());
if($hour_now != 20) {
    $accept = 0;
}

$page_template = "templates/event/giftcode_month.tpl";
?>